/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package webfly.Vsitas;

import webfly.Utileria.FondoPanel;

/**
 *
 * @author Luis Santiago
 */
public class CiudadFormularioVista extends javax.swing.JFrame {

    /**
     * Creates new form CiudadFormularioVista
     */
    public CiudadFormularioVista() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new FondoPanel("/webfly/Imagenes/FonfoLogin.jpg");
        jPAerolinea = new javax.swing.JPanel();
        jLFormularioAerolinea = new javax.swing.JLabel();
        jLInformacionAerolinea = new javax.swing.JLabel();
        jLLogoAerolinea = new javax.swing.JLabel();
        jLNombreAerolinea = new javax.swing.JLabel();
        jLTelefonoAerolinea = new javax.swing.JLabel();
        jLRUTAerolinea = new javax.swing.JLabel();
        jBRegistrarAerolinea = new javax.swing.JButton();
        jBCancelar = new javax.swing.JButton();
        JBimagen = new javax.swing.JPanel();
        JCdepartamento = new javax.swing.JComboBox<>();
        JBnombre = new javax.swing.JComboBox<>();
        JBestado = new javax.swing.JComboBox<>();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setExtendedState(6);

        jPanel1.setBackground(new java.awt.Color(153, 153, 153));
        jPanel1.setForeground(new java.awt.Color(0, 255, 255));

        jPAerolinea.setBackground(new java.awt.Color(255, 255, 255));

        jLFormularioAerolinea.setFont(new java.awt.Font("Calibri", 0, 32)); // NOI18N
        jLFormularioAerolinea.setForeground(new java.awt.Color(68, 144, 255));
        jLFormularioAerolinea.setText("Formulario para activar una ciudad");

        jLInformacionAerolinea.setFont(new java.awt.Font("Calibri", 0, 24)); // NOI18N
        jLInformacionAerolinea.setForeground(new java.awt.Color(68, 144, 255));
        jLInformacionAerolinea.setText("Información de la aerolínea");

        jLLogoAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLLogoAerolinea.setText("Imagen descriptiva");

        jLNombreAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLNombreAerolinea.setText("Departamento");

        jLTelefonoAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLTelefonoAerolinea.setText("Estado");

        jLRUTAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLRUTAerolinea.setText("Nombre");

        jBRegistrarAerolinea.setBackground(new java.awt.Color(68, 144, 255));
        jBRegistrarAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jBRegistrarAerolinea.setForeground(new java.awt.Color(255, 255, 255));
        jBRegistrarAerolinea.setText("Registrar");

        jBCancelar.setBackground(new java.awt.Color(68, 144, 255));
        jBCancelar.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jBCancelar.setForeground(new java.awt.Color(255, 255, 255));
        jBCancelar.setText("Cancelar");

        javax.swing.GroupLayout JBimagenLayout = new javax.swing.GroupLayout(JBimagen);
        JBimagen.setLayout(JBimagenLayout);
        JBimagenLayout.setHorizontalGroup(
            JBimagenLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 180, Short.MAX_VALUE)
        );
        JBimagenLayout.setVerticalGroup(
            JBimagenLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 126, Short.MAX_VALUE)
        );

        JCdepartamento.setFont(new java.awt.Font("Corbel", 0, 18)); // NOI18N
        JCdepartamento.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        JBnombre.setFont(new java.awt.Font("Corbel", 0, 18)); // NOI18N
        JBnombre.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        JBestado.setFont(new java.awt.Font("Corbel", 0, 18)); // NOI18N
        JBestado.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "", "Activo", "Inactivo" }));

        javax.swing.GroupLayout jPAerolineaLayout = new javax.swing.GroupLayout(jPAerolinea);
        jPAerolinea.setLayout(jPAerolineaLayout);
        jPAerolineaLayout.setHorizontalGroup(
            jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPAerolineaLayout.createSequentialGroup()
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(52, 52, 52)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLInformacionAerolinea)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPAerolineaLayout.createSequentialGroup()
                                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                                        .addComponent(jLTelefonoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(JBestado, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                                        .addComponent(jLRUTAerolinea, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(JBnombre, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                                        .addComponent(jLNombreAerolinea, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addGap(57, 57, 57)
                                        .addComponent(JCdepartamento, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                .addGap(65, 65, 65))))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPAerolineaLayout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jBRegistrarAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(62, 62, 62)))
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(101, 101, 101)
                        .addComponent(JBimagen, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addComponent(jBCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(21, 21, 21)
                        .addComponent(jLLogoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(106, 106, 106))
            .addGroup(jPAerolineaLayout.createSequentialGroup()
                .addGap(149, 149, 149)
                .addComponent(jLFormularioAerolinea)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPAerolineaLayout.setVerticalGroup(
            jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPAerolineaLayout.createSequentialGroup()
                .addGap(37, 37, 37)
                .addComponent(jLFormularioAerolinea)
                .addGap(64, 64, 64)
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLInformacionAerolinea)
                    .addComponent(jLLogoAerolinea))
                .addGap(18, 18, 18)
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLNombreAerolinea)
                            .addComponent(JCdepartamento, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLRUTAerolinea)
                            .addComponent(JBnombre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLTelefonoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(JBestado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jBRegistrarAerolinea)
                            .addComponent(jBCancelar)))
                    .addComponent(JBimagen, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(17, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(22, Short.MAX_VALUE)
                .addComponent(jPAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 805, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(23, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(24, Short.MAX_VALUE)
                .addComponent(jPAerolinea, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap(48, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JComboBox<String> JBestado;
    private javax.swing.JPanel JBimagen;
    private javax.swing.JComboBox<String> JBnombre;
    private javax.swing.JComboBox<String> JCdepartamento;
    private javax.swing.JButton jBCancelar;
    private javax.swing.JButton jBRegistrarAerolinea;
    private javax.swing.JLabel jLFormularioAerolinea;
    private javax.swing.JLabel jLInformacionAerolinea;
    private javax.swing.JLabel jLLogoAerolinea;
    private javax.swing.JLabel jLNombreAerolinea;
    private javax.swing.JLabel jLRUTAerolinea;
    private javax.swing.JLabel jLTelefonoAerolinea;
    private javax.swing.JPanel jPAerolinea;
    private javax.swing.JPanel jPanel1;
    // End of variables declaration//GEN-END:variables
}
